2019-12-11 20:12 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003718Quik[WHDLoad Installs Games] OCSpublic2019-12-02 16:21
ReporterAkira 
Assigned ToCFOUProject InfoQuik (Stywos/Titus)
http://www.whdload.de/games/Quik.html
 
PriorityhighSeveritymajorReproducibilityalways
StatusassignedResolutionreopened 
Summary0003718: Massive slowdowns during gameplay
DescriptionFirst time you notice this is at the intro. The sound is way ahead of the video. This is because the intro is lagging while the module just plays at normal speed.

Throughout the game there's serious slowdowns everywhere.
Steps To ReproduceJust play the game.
TagsNo tags attached.
MachineA600
CPU68EC020
CPUSpeed14
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem10 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.3
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0006410

Akira (reporter)

Bump? Nobody?

note ~0006457

haynor666 (reporter)

Played CD32 version on EC030 and I didn't see any slowdowns.

note ~0006462

Akira (reporter)

That is neither the version tested or the hardware tested on haynor666

note ~0007354

CFOU (developer)

curious perhaps blitters delay slow down game.

I will investigate

note ~0007404

CFOU (developer)

have you try with PAL tooltype?

perhaps you use NtSC system?

indeed game is disigned for PAL

note ~0007419

Wepl (manager)

Akira is bouncing:
185.151.28.67 does not like recipient.
Remote host said: 550-Blocked by ivmSIP and/or ivmSIP/24 - see
550 https://www.invaluement.com/lookup/?item=134.119.45.21
Giving up on 185.151.28.67.

note ~0007421

Akira (reporter)

I am NOT USING an NTSC system. CFOU if you don't wanna fix the slave pass the source to someone that wants to, PLEASE. I opened this ticket over 2 years ago!

Wepl: I have no idea what that is, what is bouncing? I received a mail.

note ~0007422

Wepl (manager)

Then is was maybe a temporary issue.

note ~0007425

CFOU (developer)

i'am already start to update slaves.

many works.

it seems that the behavior of the game is different depending on the CPU. No doubt because of an unusual use of the SR register.

I'am investiging. i must fix some other issues in AGA/ECS before.

But i must try to reproduct your problem and try to found a solution.

note ~0007437

Akira (reporter)

I know it's a lot of work this is why I ask you to please consider releasing the source so other people can chip in and help.

As it is, there must be two or 3 people interested in still maintaining and creating WHD slaves, and I can't blame them for losing interest in this, but I am hoping they don't. Lots of slaves out there need rework to carter for more hardware and newer features required in modern Amiga gaming (like full CD32 pad support).

note ~0007444

CFOU (developer)

Hi can you test new beta version for ECS /AGA /CD32?

 version 1.3 beta (xx.11.19)
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
 - intro/outro fix (AGA/ECS)
 - Lowlevel.library emulation used instead of library file (CD32)
 - keyboard interruption enable for exitkey support in outro (CD32)
 - SPC key added to retarts after suicide pressing 'X' key (ECS/AGA/CD32)
    (0004162)
 - Missing JUMP and FIRE key added (CD32): 0004162
    LCTRL: to jump
    SPACE: to fire
 - Exitkey for 68000 added (0003397)

To do
 - test with all config (already tested 68000 (ECS) 68030&68040 (ECS/AGA/CD32)
 - try to add optional slave with fast (warning trainer use absolute adresses)

note ~0007445

Akira (reporter)

I will try yes.

note ~0007487

Akira (reporter)

OKHello CFOU,
I tried beta 2 (saw you made a new release, did not try that yet) on teh ocnfig above only so far (68020 A600 at 28Mhz).

The game is now playable! :D But the intro is still messed up timing-wise.
Was gonna report lack of CD32 pad support but I see you added that in the latest beta.

note ~0007489

CFOU (developer)

here last beta for test:
added: Skip level/wait button/CD32Pad support for ECS/AGA

to do :
- fix ECS version (level 2 cactus)
- fix instability on 68000-68020 (ECS)

 version 1.2g (26.11.19)
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - CD32Pad support (ECS/AGA)
    CUSTOM3=4
 - skip intro possible using CUSTOM3=8
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
 - intro/outro fix (AGA/ECS)
 - Lowlevel.library removed (not needed)
 - keyboard interruption enable for exitkey support in outro (CD32)
 - SPC key added to retarts after suicide pressing 'X' key (ECS/AGA/CD32)
    (0004162)
 - Missing JUMP and FIRE key added (CD32): 0004162
    LCTRL: to jump
    SPACE: to fire
 - Exitkey for 68000 added (0003397)
 - fix gfx bug in scrolling: Addq.w replaced by Addq.l (CD32)
   (when bitmap base go from $7xxxx to $8xxxx)
 - WaitButton support added (at inter level screens)

note ~0007496

CFOU (developer)

akira
can you test beta 4?

It seems intro is fixed.

Tested 68000-68020-68030-60040 for ECS/AGA now freeze here and synchro is ok a600+68020 too (winuae)

note ~0007500

CFOU (developer)

beta5

Fix CD32 control (ECS/AGA):
- now you can jump, roll and tell at the same time
- now you can use UP in main menu

note ~0007508

CFOU (developer)

Beta 6
I hope final.

Can you test many option possibilities and all versions before final release?

newfeature:
    CUSTOM3=8 : Enhanced CD32Pad support
        PLay: Pause/Unpause game
        Forward+Reverse: leave current game
 - skip intro using CUSTOM3=16 (ECS/AGA)



V1.2i
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - CD32Pad support (ECS/AGA/CD32)
    CUSTOM3=4 : CD32Pad support
        Red Button for FIRE / Blue Button for JUMP
                                     + LCTRL/LALT for JUMP
    CUSTOM3=8 : Enhanced CD32Pad support
        PLay: Pause/Unpause game
        Forward+Reverse: leave current game

 - skip intro using CUSTOM3=16 (ECS/AGA)
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
 - intro/outro fix (AGA/ECS)
 - Lowlevel.library removed (not needed)
 - keyboard interruption enable for exitkey support in outro (CD32)
 - SPC key added to retarts after suicide pressing 'X' key (ECS/AGA/CD32)
    (0004162)
 - Missing JUMP and FIRE key added (CD32): 0004162
    LCTRL: to jump
    SPACE: to fire
 - Exitkey for 68000 added (0003397)
 - fix gfx bug in scrolling: Addq.w replaced by Addq.l (CD32)
   (when bitmap base go from $7xxxx to $8xxxx)
 - Gfx bug on Quik when it passed behind object fixed (ECS)
 - WaitButton support added (inter level screens)

note ~0007527

CFOU (developer)

slow down fixed with v1.3

note ~0007548

Akira (reporter)

Sorry CFOU but slowdown still present on my 020 A60 at the intro, not fixed.
Do you want a video of it happening?

note ~0007549

CFOU (developer)

hi,
yes can you send me wideo, i can't reproduct it.

test on real 68030+68040

and winuae 68000+68020.

No trouble here..

what is your exact configuration?
What is your 68020 board and CPu version?
have you possiblity to test on a600 with 68000 instead of 68020?

note ~0007553

CFOU (developer)

Last edited: 2019-12-02 02:21

View 2 revisions

is it only in intro?

In game, have you this problem?

note ~0007554

Akira (reporter)

It's only the intro and maybe just the first part (stywox logo, bunnies knock it over)

Amiga 600 with ACA620, 68EC020 @ 16.67MHz, 10MB RAM.

I haven't tested the outro, the game levels I tested seemed quite good.

I cannot currently disable the card, sorry. Also can't test on A1200 or CD32 at the moment.

note ~0007555

CFOU (developer)

i have perhaps an idea. Indeed Intro use CPU loop (DBL) to wait an not WaitVBL (vertical blank)

but it's curious, it's works fine on more speed CPU...

Can you send me and URL of a video of full intro in your configuration ?
+Notes

-Issue History
Date Modified Username Field Change
2017-08-31 16:40 Akira New Issue
2018-09-27 22:18 Akira Note Added: 0006410
2018-10-25 09:10 haynor666 Note Added: 0006457
2018-10-25 16:30 Akira Note Added: 0006462
2019-11-11 20:57 CFOU Note Added: 0007354
2019-11-11 22:33 CFOU Assigned To => CFOU
2019-11-11 22:33 CFOU Status new => assigned
2019-11-17 17:54 CFOU Note Added: 0007404
2019-11-19 15:12 Wepl Note Added: 0007419
2019-11-19 22:16 Akira Note Added: 0007421
2019-11-19 22:40 Wepl Note Added: 0007422
2019-11-20 02:17 CFOU Note Added: 0007425
2019-11-22 20:07 Akira Note Added: 0007437
2019-11-22 21:43 CFOU File Added: Quik-beta2.lha
2019-11-22 21:43 CFOU Note Added: 0007444
2019-11-22 21:44 Akira Note Added: 0007445
2019-11-26 14:26 Akira Note Added: 0007487
2019-11-26 14:27 CFOU File Added: quik-Beta3.lha
2019-11-26 14:27 CFOU Note Added: 0007489
2019-11-26 19:31 CFOU File Added: quik-beta4-ecs-aga.lha
2019-11-26 19:31 CFOU Note Added: 0007496
2019-11-26 22:22 CFOU File Added: Quik-beta5.lha
2019-11-26 22:22 CFOU Note Added: 0007500
2019-11-27 01:23 CFOU File Added: quik-beta6.lha
2019-11-27 01:23 CFOU Note Added: 0007508
2019-11-27 22:05 CFOU Status assigned => closed
2019-11-27 22:05 CFOU Resolution open => fixed
2019-11-27 22:05 CFOU Note Added: 0007527
2019-12-01 23:02 Akira Status closed => feedback
2019-12-01 23:02 Akira Resolution fixed => reopened
2019-12-01 23:02 Akira Note Added: 0007548
2019-12-01 23:56 CFOU Note Added: 0007549
2019-12-02 02:21 CFOU Note Added: 0007553
2019-12-02 02:21 CFOU Note Edited: 0007553 View Revisions
2019-12-02 15:01 Akira Note Added: 0007554
2019-12-02 15:01 Akira Status feedback => assigned
2019-12-02 16:21 CFOU Note Added: 0007555
+Issue History